

cc.Class({
    extends: cc.Component,

    properties: {
        bones: cc.Node,
    },

    onLoad: function() {
        this._loading();
    },

    _loading: function() {
        let child           = new cc.Node('nodeName');
        child.parent        = this.bones;
        let armatureDisplay = child.addComponent(dragonBones.ArmatureDisplay);
        let path            = 'dragonbones/01';
        cc.loader.loadResDir(path, function(err, assets){
            if (err || assets.length <= 0) {
                cc.log('载入龙骨失败: ' + path);
                return;
            }

            armatureDisplay._factory.clear(true);

            assets.forEach(asset => {
                if(asset instanceof dragonBones.DragonBonesAsset){
                    armatureDisplay.dragonAsset = asset;
                }
                if(asset instanceof dragonBones.DragonBonesAtlasAsset){
                    armatureDisplay.dragonAtlasAsset = asset;
                }
            });
            armatureDisplay.armatureName = 'barbarian_01';
            armatureDisplay.playAnimation('stand', 0);
        });
    },

});
