"use strict";
cc._RF.push(module, 'df08fNIE5ZH4pG0nOrw4Mhe', 'BattleTestUI');
// scripts/BattleTestUI.js

'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        bones: cc.Node
    },

    onLoad: function onLoad() {
        this._loading();
    },

    _loading: function _loading() {
        var child = new cc.Node('nodeName');
        child.parent = this.bones;
        var armatureDisplay = child.addComponent(dragonBones.ArmatureDisplay);
        var path = 'dragonbones/01';
        cc.loader.loadResDir(path, function (err, assets) {
            if (err || assets.length <= 0) {
                cc.log('载入龙骨失败: ' + path);
                return;
            }

            armatureDisplay._factory.clear(true);

            assets.forEach(function (asset) {
                if (asset instanceof dragonBones.DragonBonesAsset) {
                    armatureDisplay.dragonAsset = asset;
                }
                if (asset instanceof dragonBones.DragonBonesAtlasAsset) {
                    armatureDisplay.dragonAtlasAsset = asset;
                }
            });
            armatureDisplay.armatureName = 'barbarian_01';
            armatureDisplay.playAnimation('stand', 0);
        });
    }

});

cc._RF.pop();